[API]
GetClientRect
RECT

[INCLUDE]
DrawProgressBarEx

[CODE]
Public Sub DrawProgressBarVB(ByVal xControl As Object, ByVal Progress As Single, ByVal xText As String)
  Dim hDC As Long
  Dim xType1 As RECT

  If Not GetClientRect(xControl.hwnd, xType1) = 0& Then
    Call DrawProgressBarEx(xControl.hDC, xType1, Progress, xText)
    xControl.Picture = xControl.Image
    End If
  End Sub
